Page MenuHomePhabricator

[CodeGen] Expand float operand for STRICT_FSETCC/STRICT_FSETCCS
ClosedPublic

Authored by steven.zhang on Jun 15 2020, 8:57 PM.

Details

Summary

This patch is the continue work of https://reviews.llvm.org/D69281 to implement the way that expands STRICT_FSETCC/STRICT_FSETCCS.

Diff Detail

Event Timeline

steven.zhang created this revision.Jun 15 2020, 8:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 15 2020, 8:57 PM

Gentle ping ...

uweigand requested changes to this revision.Jun 30 2020, 2:46 AM
uweigand added inline comments.
llvm/lib/CodeGen/SelectionDAG/LegalizeFloatTypes.cpp
1771

This isn't handling chains correctly. The function needs to collect the output chains of the four separate SetCC operations and return an output chain to the caller.

1907

See above; this needs to use the output Chain.

This revision now requires changes to proceed.Jun 30 2020, 2:46 AM

Address comments. Chain the fsetcc together. Thank you for the good comments!

uweigand accepted this revision.Aug 3 2020, 3:49 AM

This LGTM now.

This revision is now accepted and ready to land.Aug 3 2020, 3:49 AM
This revision was landed with ongoing or failed builds.Aug 10 2020, 10:55 PM
This revision was automatically updated to reflect the committed changes.